Bug 1133601 - New UI theme does not look properly in IE 9
Summary: New UI theme does not look properly in IE 9
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER05
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-25 14:26 UTC by Jeeva Kandasamy
Modified: 2015-11-02 00:44 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:01:09 UTC


Attachments (Terms of Use)
L&F IE 9 (81.77 KB, image/jpeg)
2014-08-25 14:26 UTC, Jeeva Kandasamy
no flags Details
menu_ie9_comp (116.96 KB, image/png)
2014-10-23 12:20 UTC, Armine Hovsepyan
no flags Details

Description Jeeva Kandasamy 2014-08-25 14:26:12 UTC
Created attachment 930503 [details]
L&F IE 9

Description of problem:
JON theme 'patternFly' and global Redhat L&F integration, few icons are missing and look and feel issue.

Version-Release number of selected component (if applicable):
JBoss Operations Network	
Version : 3.3.0.ER01
Build Number : 23b3476:f3aa7e7
GWT Version : 2.5.0
SmartGWT Version : 3.0p

How reproducible:
always

Steps to Reproduce:
1. Login in to JON 3.3
2. There is no drop down menu icon under Inventory, Reports, Administration and top menus like 'Red Hat Accesss', Favorite, flags ... etc., and few icons missing like favorite and flag... in IE 9
3. Menu margins are not proper if we mouse over/select on menus which has sub menus.

Actual results:
Icons are missing and margins are not aligned properly on mouse over/select.

Expected results:
Icons should be there and margins are aligned properly on mouse over/select.

Additional info: Screen shot is attached.

Comment 3 Simeon Pinder 2014-09-29 08:12:56 UTC
Moving into ER05 as didn't make the ER04 cut.

Comment 8 Simeon Pinder 2014-10-21 20:24:36 UTC
Moving to ON_QA as available to test with the latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=394734

Comment 9 Armine Hovsepyan 2014-10-23 12:18:13 UTC
verified in JON 3.3 ER05 + IE9 (in compatible view from ie11)
screen-shot attached

Comment 10 Armine Hovsepyan 2014-10-23 12:20:57 UTC
Created attachment 949844 [details]
menu_ie9_comp


Note You need to log in before you can comment on or make changes to this bug.